package contact;

import java.io.Serializable;

public class Contact implements Serializable {
	private String name;
	private String number;
	private String email;

	public Contact(String name, String number, String email) {
		this.name = name;
		this.number = number;
		this.email = email;
	}

	public String toString() {
		return "Contact [name=" + name + ", number=" + number + ", email=" + email + "]";
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((email == null) ? 0 : email.hashCode());
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		result = prime * result + ((number == null) ? 0 : number.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (obj != null) {
			if (obj instanceof Contact) {
				Contact other = (Contact) obj;
				if (other.getName() != null && other.getNumber() != null && other.getEmail() != null && name != null && number != null && email != null)
					if (name.equals(other.getName()) && number.equals(other.getNumber()) && email.equals(other.getEmail())) {
						return true;
					}
			}
		}
		return false;
	}

}
