package contact;

import java.util.NoSuchElementException;

public interface Phonebook {
	/**
	 * This is the separator used for construct String line in the text file.
	 */
	public final static String SEPARATOR = "#";

	void add(Contact contact) throws ContactAlreadyExistsException;

	Contact searchByNumber(String number) throws NoSuchElementException;

	Contact searchByName(String name) throws NoSuchElementException;

	void modifyNumber(String name, String newNumber);

	void remove(Contact contact);

	int currentContactCount();

	boolean containsContact(Contact contact);

	void serializationSave(String fileName);

	void serializationRead(String fileName);

	void textSave(String fileName);

	void textRead(String fileName);

	void removeAll();

}
