package contact;

import java.util.NoSuchElementException;

public class TestPhonebook {

	public static void main(String[] args) {
//		Phonebook phonebook = new PhonebookTable(100);
//		Phonebook phonebook = new PhonebookArrayList();
		Phonebook phonebook = new PhonebookHashMap();
		
		Contact jean = new Contact("Jean", "0612121212", "jean@gmail.com");
		Contact paul = new Contact("Paul", "0618181818", "paul@yahoo.com");
		Contact luc = new Contact("Luc", "0646985221", "luc@msn.com");

		try {
			phonebook.add(jean);
		} catch (ContactAlreadyExistsException e) {
			System.err.println(e.getMessage());
		}
		try {
			phonebook.add(paul);
		} catch (ContactAlreadyExistsException e) {
			System.err.println(e.getMessage());
		}
		try {
			phonebook.add(luc);
		} catch (ContactAlreadyExistsException e) {
			System.err.println(e.getMessage());
		}
		try {
			phonebook.add(luc);
		} catch (ContactAlreadyExistsException e) {
			System.err.println(e.getMessage());
		}
		
		System.out.println("########## Add ################");
		System.out.println("There are " + phonebook.currentContactCount() + " contacts in the phonebook");
		System.out.println(phonebook.toString());
		
					System.out.println("########## Search ################");
		try {

			System.out.println("Paul's number is " + phonebook.searchByName("Paul"));
			System.out.println("Pascal's number is " + phonebook.searchByName("Pascal"));
		} catch (NoSuchElementException e) {
			System.err.println(e.getMessage());
		}
		try {
			System.out.println("The owner of number 0646985221 is " + phonebook.searchByNumber("0646985221").toString() +"\n");
			System.out.println("The owner of number 0646985111 is " + phonebook.searchByNumber("0646985111").toString() +"\n");
		} catch (Exception e) {
			System.err.println(e.getMessage());
		}
		
		System.out.println("########## Modify ################");
		phonebook.modifyNumber("Paul", "0678787878");
		System.out.println("Paul's new personal information : " + phonebook.searchByName("Paul").toString()+"\n");
		
		//Test equals or hashCode
		System.out.println("########## Remove ################");
		System.out.println("------------- Before removing -------------- ");
		System.out.println("There are " + phonebook.currentContactCount() + " contacts in the phonebook");
		System.out.println(phonebook.toString());
		
		Contact paul2 = new Contact("Paul", "0678787878", "paul@yahoo.com");
		phonebook.remove(paul2);
		System.out.println("------------- After removing -------------- ");
		System.out.println("There are " + phonebook.currentContactCount() + " contacts in the phonebook");
		System.out.println(phonebook.toString());

	}

}
