package gui;

import java.awt.Container;
import java.awt.FlowLayout;
import java.awt.GridLayout;

import javax.swing.JPanel;

/**
 * Another phonebook GUI implementation with some different style and layout.
 */
public class PhonebookGUI2 extends PhonebookGUI {
	private JPanel linePanel1;
	private JPanel linePanel2;
	private JPanel linePanel3;
	private JPanel linePanel4;
	private JPanel linePanel5;

	public PhonebookGUI2(String title) {
		// Only the method initLayout has been overrided.
		super(title);
	}

	@Override
	protected void initLayout() {
		GridLayout grid = new GridLayout(5, 1);
		Container contentPane = getContentPane();
		contentPane.setLayout(grid);

		// First line
		linePanel1 = new JPanel();
		linePanel1.setSize(500, 100);
		linePanel1.setLayout(new FlowLayout(FlowLayout.CENTER));
		linePanel1.add(nameLabel);
		linePanel1.add(nameField);
		contentPane.add(linePanel1);

		// Second line
		linePanel2 = new JPanel();
		linePanel2.setSize(500, 100);
		linePanel2.setLayout(new FlowLayout(FlowLayout.CENTER));
		linePanel2.add(numberLabel);
		linePanel2.add(numberField);
		contentPane.add(linePanel2);

		// Third line
		linePanel3 = new JPanel();
		linePanel3.setSize(500, 100);
		linePanel3.setLayout(new FlowLayout(FlowLayout.CENTER));
		linePanel3.add(emailLabel);
		linePanel3.add(emailField);
		contentPane.add(linePanel3);

		// Fourth line
		linePanel4 = new JPanel();
		linePanel4.setSize(500, 100);
		linePanel4.setLayout(new FlowLayout(FlowLayout.CENTER));
		linePanel4.add(addButton);
		linePanel4.add(searchNameButton);
		linePanel4.add(searchNumberButton);
		linePanel4.add(removeButton);
		linePanel4.add(quitButton);
		contentPane.add(linePanel4);

		// Fifth line
		linePanel5 = new JPanel();
		linePanel5.setSize(500, 100);
		linePanel5.setLayout(new FlowLayout(FlowLayout.CENTER));
		linePanel5.add(messageLabel);
		contentPane.add(linePanel5);

		setDefaultCloseOperation(EXIT_ON_CLOSE);
		pack();
		setVisible(true);
	}

	public static void main(String[] args) {
		new PhonebookGUI2("Phonebook GUI");
	}

}
