package plan;

public class Plan {
	private Point[] points;
	private int size;
	private int currentPointCount;
	
	public Plan(int size) {
		this.size = size;
		points = new Point[size];
		currentPointCount = 0;
	}
	
	public void addPoint(Point point) {
		if (currentPointCount < size) {
			points[currentPointCount] = point;
			currentPointCount++;
		} 
	}
	
	public void translate(int indice, int newX, int newY) {
		Point point = points[indice];
		if (point != null) {
			point.setX(newX);
			point.setY(newY);
		}
	}
	
	public String toString() {
		String result = "";
		for (int i = 0; i<= currentPointCount-1; i++) {
			result += points[i].toString() + "\n";
		}
		return result;
	}

}
